# RabbitMQ

RabbitMQ is an open source message broker tool.

The RabbitMQ plugin contains the *RabbitMQService*, which listens to a queue on a RabbitMQ server and triggers an event when a new message arrives.

The RabbitMQ plugin also contains the following functions:

* *RabbitMQReader*: To fetch messages from a specified Queue on a RabbitMQ server.
* *RabbitMQWriter*: To publish a message on a RabbitMQ server to the Exchange with the specified name.

### Links <a href="#links" id="links"></a>

[Rabbitmq.com](http://www.rabbitmq.com/)

[RabbitMQ License](/reference/plugins/rabbitmq/license.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/rabbitmq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
